Bug 1967340 - Kernel Freezes Randomly (Infinite Loop) With Newly Merged rtl8821ce Driver
Summary: Kernel Freezes Randomly (Infinite Loop) With Newly Merged rtl8821ce Driver
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 34
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 23:13 UTC by Jeron Lau
Modified: 2022-05-12 15:45 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Kernel Log File From Previous Boot That Had Frozen (574.87 KB, text/plain)
2021-06-02 23:13 UTC, Jeron Lau
no flags Details

Description Jeron Lau 2021-06-02 23:13:45 UTC
Created attachment 1788766 [details]
Kernel Log File From Previous Boot That Had Frozen

1. Please describe the problem:

Whether I'm using the computer or not, there are random moments where everything freezes, and it doesn't ever recover.  Once it's "frozen" the CPU fans are on full power so I'm assuming 100% CPU usage.

2. What is the Version-Release number of the kernel:

5.12.8-300.fc34.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

I believe it was 5.12.7-300.fc34.x86_64, maybe 5.12.6-300.fc34.x86_64 (whichever one introduced the new rtl8821ce driver - before I used to have to install a custom driver to run my wifi card).

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

No, it's completely random (but happens a lot).

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Not sure since it's random.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Ben Cotton 2022-05-12 15:45:50 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.